
From: Dominik Brodowski <linux@dominikbrodowski.net>

Ben noticed that the newly added printk in rsrc_nonstatic is a bit
misleading as the I/O and Memory ranges aren't really available behind the
PCMCIA socket, but the resource areas can be set up somewhere within these
ranges instead.  So, clarify this printk.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/rsrc_nonstatic.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pcmcia/rsrc_nonstatic.c~pcmcia-mark-parent-bridge-windows-as-resources-available-for-pcmcia-devices-fix drivers/pcmcia/rsrc_nonstatic.c
--- 25/drivers/pcmcia/rsrc_nonstatic.c~pcmcia-mark-parent-bridge-windows-as-resources-available-for-pcmcia-devices-fix	2005-05-03 19:18:46.000000000 -0700
+++ 25-akpm/drivers/pcmcia/rsrc_nonstatic.c	2005-05-03 19:18:46.000000000 -0700
@@ -785,7 +785,7 @@ static int nonstatic_autoadd_resources(s
 		if (res->flags & IORESOURCE_IO) {
 			if (res == &ioport_resource)
 				continue;
-			printk(KERN_INFO "pcmcia: I/O behind socket: 0x%lx - 0x%lx\n",
+			printk(KERN_INFO "pcmcia: parent PCI bridge I/O window: 0x%lx - 0x%lx\n",
 			       res->start, res->end);
 			if (!adjust_io(s, ADD_MANAGED_RESOURCE, res->start, res->end))
 				done |= IORESOURCE_IO;
@@ -795,7 +795,7 @@ static int nonstatic_autoadd_resources(s
 		if (res->flags & IORESOURCE_MEM) {
 			if (res == &iomem_resource)
 				continue;
-			printk(KERN_INFO "pcmcia: Memory behind socket: 0x%lx - 0x%lx\n",
+			printk(KERN_INFO "pcmcia: parent PCI bridge Memory window: 0x%lx - 0x%lx\n",
 			       res->start, res->end);
 			if (!adjust_memory(s, ADD_MANAGED_RESOURCE, res->start, res->end))
 				done |= IORESOURCE_MEM;
_
